class MiExcepcionDos extends Exception {
	public MiExcepcionDos(String mensaje) {
		if (mensaje.equals("valor 0"))
			System.out.println("Error por valor cero");
		if (mensaje.equals("valor 1"))
			System.out.println("Error por valor uno");
	}
}

public class EjercicioDos {
	public static void main(String[] args) {
		int valor = 1;
		try {
			if (valor == 0)
				throw new MiExcepcionDos("valor 0");
			if (valor == 1)
				throw new MiExcepcionDos("valor 1");
		} catch (MiExcepcionDos e) {
			System.out.println("sin tratamiento posterior");
		}

	}
}
